Allows you to create a custom object schema. To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0

http
POST https://services.leadconnectorhq.com/objects/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
labelsobjectYesThis is what your custom object will be called. These labels will be used to display your custom object on the UI
keystringYescustom_objects.petkey that would be used to refer the Custom Object internally (lowercase + underscore_separated). 'custom_objects.' would be added as prefix by default
descriptionstringNoThese are non vaccinated petsPet Object`s description
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
primaryDisplayPropertyDetailsobjectYesPrimary property which will be displayed on the record page

Responses

201 - Successful response
  • object (object)

    • id (string, required): id of the custom / standard object schema Example: 661c06b4ffde146bdb469442

    • standard (boolean, required): false in case of custom objects and true in case of standard objects like contacts and opportunities Example: False

    • key (string, required): key that would be used to refer the custom / standard Object internally (lowercase + underscore_separated). For custom objects, 'custom_objects.' would be added as prefix by default Example: custom_objects.pet

    • labels (object, required): This is what your custom / standard object will be called. These labels will be used to display your custom object on the UI

    • description (string): Custom / Standard Object Descriptions for example , Pet Objects description Example: These are non vaccinated pets`

    • locationId (string, required): account's id Example: Q9DT3OAqEXDLYuob1G32

    • primaryDisplayProperty (string, required): Primary property for the custom / standard Object. This would be used as primary data when rendering the UI. 'custom_objects.{{object_key}} or business.{{object_key}} (for company)' would be added as prefix by default for all the custom / standard objects Example: custom_objects.pet.name

    • dateAdded (string, required): Date and time when the object was added

    • dateUpdated (string, required): Date and time when the object was last updated

    • type (object): Objects Type Example: The Object type can either USER_DEFINED or SYSTEM_DEFINED`

json
{
  "object": {
    "id": "661c06b4ffde146bdb469442",
    "standard": false,
    "key": "custom_objects.pet",
    "labels": {
      "singular": "Pet",
      "plural": "Pets"
    },
    "description": "These are non vaccinated pets",
    "locationId": "Q9DT3OAqEXDLYuob1G32",
    "primaryDisplayProperty": "custom_objects.pet.name",
    "dateAdded": "2024-01-15T10:30:00Z",
    "dateUpdated": "2024-01-15T10:30:00Z",
    "type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
  }
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/objects/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "labels": {
    "singular": "Pet",
    "plural": "Pets"
  },
  "key": "custom_objects.pet",
  "description": "These are non vaccinated pets",
  "locationId": "ve9EPM428h8vShlRW1KT"
}'

Last updated October 26, 2026

Was this page helpful?